# List persons

### Input

User needs to provide search phrase. The search phrase should be detailed enough to find a specific person, in the case of generic search phrases, an error is returned.

<table><thead><tr><th width="148">Attribute</th><th width="259">Type</th><th>Description</th></tr></thead><tbody><tr><td>search</td><td>String</td><td>Search phrase (at least 3 characters)</td></tr><tr><td>tradeBoards</td><td>String</td><td>Comma separated values which symbols of Italian Chambers of Commerce that narrow searching scope eg. <code>MI,BR,PC</code> (optional)</td></tr><tr><td>birthDate</td><td>String</td><td>Person birth date in format YYYY-MM-DD. <br>Either <code>birthDate</code> or <code>birthyear</code> can be provided. (optional)</td></tr><tr><td>birthYear</td><td>String </td><td>Person birth year in format YYYY.<br>Either <code>birthDate</code> or <code>birthyear</code> can be provided. (optional)</td></tr></tbody></table>

### Output

#### PersonList

Contains details about individual people.

| Attribute | Type  | Description                                                                  |
| --------- | ----- | ---------------------------------------------------------------------------- |
| people    | Array | An array of objects containing detailed information about individual people. |

**People**

An array of objects containing detailed information about individual people.

| Attribute  | Type   | Description                                            |
| ---------- | ------ | ------------------------------------------------------ |
| personId   | Number | Sequence number                                        |
| personData | Object | Contains detailed information about a specific person. |

**PersonData**

Contains detailed information about a specific person.

| Attribute                  | Type   | Description                           |
| -------------------------- | ------ | ------------------------------------- |
| surname                    | String | The surname of the person.            |
| name                       | String | The name of the person.               |
| provinceOfBirth            | String | The province code of birth.           |
| descriptionOfBirthProvince | String | Description of the province of birth. |
| dateOfBirth                | String | The date of birth of the person.      |
| taxCode                    | String | The tax code of the person.           |
| alternateCode              | String | Alternate code of the person.         |

```json
{
    "infocamere": {
        "personList": {
            "people": [
                {
                    "personId": 1,
                    "personData": {
                        "surname": "ACUTO",
                        "name": "FRANCESCO",
                        "provinceOfBirth": "CT",
                        "descriptionOfBirthProvince": "CATANIA",
                        "dateOfBirth": "1990-08-10",
                        "taxCode": "CTAFNC90M10B428U",
                        "alternateCode": "CTAFNC90M10B428U"
                    }
                }
            ]
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/infocamere/company-profile/list-persons.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
